diff mbox series

[OpenWrt-Devel,uci,05/18] tests: shunit2: fix issues reported by shellcheck

Message ID 20191105003657.16540-6-ynezz@true.cz
State Accepted
Delegated to: Petr Štetiar
Headers show
Series fixes and improvements | expand

Commit Message

Petr Štetiar Nov. 5, 2019, 12:36 a.m. UTC
In tests.sh line 10:
 [ -x $UCI_BIN ] || {
      ^------^ SC2086: Double quote to prevent globbing and word splitting.

 In tests.sh line 63:
 for suite in $(ls ${SCRIPTS_DIR}/*)
              ^--------------------^ SC2045: Iterating over ls output is fragile. Use globs.

 In tests.sh line 65:
 	cat ${suite} >> ${FULL_SUITE}
             ^------^ SC2086: Double quote to prevent globbing and word splitting.

Signed-off-by: Petr Štetiar <ynezz@true.cz>
---
 tests/shunit2/tests.sh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)
diff mbox series

Patch

diff --git a/tests/shunit2/tests.sh b/tests/shunit2/tests.sh
index a7c6d9004987..72c48749feb6 100755
--- a/tests/shunit2/tests.sh
+++ b/tests/shunit2/tests.sh
@@ -7,7 +7,7 @@  TMP_DIR=${TESTS_DIR}"/tmp"
 FULL_SUITE=${TESTS_DIR}"/full_suite.sh"
 
 UCI_BIN=${UCI_BIN:-"../uci"}
-[ -x $UCI_BIN ] || {
+[ -x "$UCI_BIN" ] || {
 	echo "uci is not present." >&2
 	return 1
 }
@@ -60,9 +60,9 @@  assertFailWithNoReturn() {
 }
 EOF
 
-for suite in $(ls ${SCRIPTS_DIR}/*)
+for suite in "${SCRIPTS_DIR}"/*
 do
-	cat ${suite} >> ${FULL_SUITE}
+	cat "${suite}" >> ${FULL_SUITE}
 done
 
 echo ". ${DO_TEST}" >> ${FULL_SUITE}